Bug 228853 - www/py-horizon: update to 13.0.1
Summary: www/py-horizon: update to 13.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on: 228679 228690 228691 228701 228850 228851
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-09 19:26 UTC by Kai Knoblich
Modified: 2018-07-11 12:14 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
py-horizon-13.0.1.patch (20.71 KB, patch)
2018-06-09 19:26 UTC, Kai Knoblich
no flags Details | Diff
py-horizon-13.0.1-v2.patch (19.08 KB, patch)
2018-06-22 14:20 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-06-09 19:26:47 UTC
Created attachment 194118 [details]
py-horizon-13.0.1.patch

Hello,

attached is the patch that updates www/py-horizon to 13.0.1 (Queens Release Series).

Changes by upstream:
- https://docs.openstack.org/releasenotes/horizon/queens.html

Changes to the port:
- changed MASTER_SITES to upstream source
- added LICENSE_FILE
- changed BUILD_DEPENDS + RUN_DEPENDS to reflect the new dependencies
- changed FLAVOR to PY_FLAVOR
- added CONFLICTS_INSTALL
- updated pkg-message
- removed extra patches (can't be applied anymore because the code has changed top much)
- updated WWW

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK

Note:
Before this update can be committed following ports must be updated first:
- www/py-django-babel (see PR #228850: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228850)
- www/py-django-psycss (see PR #228851: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228851)
- devel/py-XStatic-Angular-Bootstrap (see PR #228679: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228679)
- net/py-python-cinderclient (see PR #228690: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228690)
- net/py-python-glanceclient (see PR #228691: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228691)
- net/py-python-neutronclient (see PR #228701 : https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228701)
Comment 1 Kai Knoblich freebsd_committer 2018-06-22 14:20:32 UTC
Created attachment 194497 [details]
py-horizon-13.0.1-v2.patch

Rebased patch after r472884
Comment 2 commit-hook freebsd_committer 2018-07-10 10:11:31 UTC
A commit references this bug:

Author: miwi
Date: Tue Jul 10 10:10:37 UTC 2018
New revision: 474351
URL: https://svnweb.freebsd.org/changeset/ports/474351

Log:
  - Update to 13.0.1
  - Changed MASTER_SITES to upstream source
  - Added LICENSE_FILE
  - Changed BUILD_DEPENDS + RUN_DEPENDS to reflect the new dependencies
  - Changed FLAVOR to PY_FLAVOR
  - Added CONFLICTS_INSTALL
  - Updated pkg-message
  - Updated WWW

  PR:		228853
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/www/py-horizon/Makefile
  head/www/py-horizon/distinfo
  head/www/py-horizon/files/01-django.patch
  head/www/py-horizon/files/02-fix-floating-ips.patch
  head/www/py-horizon/files/pkg-message.in
  head/www/py-horizon/pkg-descr